singular_refobj.hh File Reference
`#include <mia/core/defines.hh>`
`#include <cassert>`
Include dependency graph for singular_refobj.hh:

Go to the source code of this file.

## Data Structures

struct | TSingleReferencedObject< T >::Destructor
struct | TSingleReferencedObject< T >::EmptyDestructor
class | TSingleReferencedObject< T >
| a singulater reference counted object that gets destroyed when the refount goes to zero More...

## Variables

template<typename T>
const TSingleReferencedObject< T >::EmptyDestructor | TSingleReferencedObject< T >::empty_destructor

## Variable Documentation

## TSingleReferencedObject< T >::empty_destructor

template<typename T>

const TSingleReferencedObject<T>::EmptyDestructor TSingleReferencedObject< T >::empty_destructor

Definition at line 103 of file singular_refobj.hh.